### Name: rank.ctest
### Title: One and Two Sample Rank Tests for Location based on Marginal
###   Ranks
### Aliases: rank.ctest rank.ctest.default rank.ctest.formula
###   rank.ctest.ics
### Keywords: htest multivariate nonparametric

### ** Examples

# one sample tests:

data(pulmonary)

rank.ctest(pulmonary, score = "sign")
rank.ctest(pulmonary, mu = c(0,0,2))

# two sample tests:

set.seed(123456)
X <- rmvnorm(20,c(0,0,0,0), diag(1:4))
Y <- rmvnorm(30,c(0.5,0.5,0.5,0.5),diag(1:4))
Z <- rbind(X,Y)
g <- factor(rep(c(1,2),c(20,30)))

rank.ctest(X, Y, score="normal")
rank.ctest(Z~g,score="sign",mu=rep(-0.5,4))

rm(.Random.seed)
         


